%define name	kmyfirewall
%define version	1.0
%define release	0.beta1.2mdk
%define	major	0
%define	libname	%mklibname %{name} %{major}

%define oldmajor   1
%define oldlibname %mklibname %{name} %{oldmajor}

%define Summary		An IPTables based firewall configuration tool for the KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Summary:		%{Summary}
Group:			System/Configuration/Networking
URL:			http://kmyfirewall.sourceforge.net/
Source0:		http://ovh.dl.sourceforge.net/sourceforge/kmyfirewall/%{name}-1.0beta1.tar.bz2
Source1:		%{name}-icons.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:		%{libname} = %{version}
Requires:		iptables

%description
KMyFirewall attempts to make it easier to setup IPTables based firewalls
on Linux systems.  It will be the right tool if you like to have a so
called "Personal Firewall" running on your Linux box, but don't have the
time and/or the interest to spend hours in front of the IPTables manual
just to setup a Firewall that keeps the "bad" people out.

There is also the possibility to save entire rule sets, so you only have
to configure your rule set one time and then you can use it on several
computers giving each of them a similar configuration (p.e. school
networks, office, university etc.). For a complete list of the features
have a look at the Features section

Programs can't do any magic so you still will have to know what your
firewall should do to setup your rule set. KMyFirewall just tries to
help you as much as possible, but you decide what it will do.

%package -n	%{libname}-devel
Summary:	Development libraries for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n	%{libname}-devel
Development libraries for %{name}

%package -n	%{libname}
Summary:	Header files for kmyfirewall
Group:		Graphical desktop/KDE
Conflicts:	%{oldlibname} <= 0.9.6.2-2mdk

%description -n	%{libname}
Libraries for %{name}

%prep
%setup -q -n %{name}-1.0beta1
%setup -q -n %{name}-1.0beta1 -T -D -a1

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

./configure --libdir=%{_libdir} --with-xinerama --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


perl -pi -e 's/\015$//' %buildroot/%{_includedir}/kmyfirewall/kmfwidgets/kmfobjectinfo.cpp

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{name}" \
needs="X11" \
icon="%{name}.png" \
section="Configuration/Networking" \
title="KMyFirewall" \
longtitle="%Summary"
EOF

%{__install} -m644 %{name}48.png -D %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m644 %{name}32.png -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m644 %{name}16.png -D %{buildroot}%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/kde3/*.so
%exclude %{_libdir}/*.la
%exclude %{_libdir}/kde3/*.la
%{_includedir}/kmyfirewall/kmfwidgets/*.h
%{_includedir}/kmyfirewall/core/*.h
%{_includedir}/kmyfirewall/interfaces/*.h
%{_includedir}/kmyfirewall/kmfwidgets/kmfobjectinfo.cpp


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/*
%{_menudir}/*
%{_datadir}/*/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.2mdk
- fix devel section
- Fix rpmlint error ( rpath, wrong encoding )

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.1mdk
- 1.0 Beta1
- Fix source0 url
- Fix file section

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.6.2-6mdk
- Fix on x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-5mdk
- Fix update from 10.1

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-4mdk
- Fix MDK bug #14504

* Fri Feb 4 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.6.2-3mdk
- fixed summary-ended-with-dot and requires-on-release
- removed P0
- fixed provides
- removed la files
- major 0
- add xinerama support

* Tue Aug 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6.2-2mdk
- fix the use of summary macro in menu item
- cleanups

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-2mdk
- Rebuild

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-1mdk
- 0.9.6.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-3mdk
- Rebuild

* Wed Sep 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.6-2mdk
- fixed loong summary
- correct permission of kmyfirewall source code archive
- cleanup spec file

* Tue Sep 2 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.6-1mdk
- some reformatting of description
- use configure and make macros
- small rewrite of install section
- add icons
- dirty patch for libtool CXX problem
